Memcache::getVersion
Memcache::pconnect
Memcache
PHP Manual

# Memcache::increment

(PECL memcache >= 0.2.0)

Memcache::increment — Increment item's value

### Description

int Memcache::increment ( string `$key` [, int `$value` = 1 ] )

Memcache::increment() increments value of an item by the specified `value`. If item specified by `key` was not numeric and cannot be converted to a number, it will change its value to `value`. Memcache::increment() does not create an item if it doesn't already exist.

> Note:

> Do not use Memcache::increment() with items that have been stored compressed because subsequent calls to Memcache::get() will fail.

Also you can use memcache_increment() function.

### Parameters

`key`

  Key of the item to increment.

`value`

  Increment the item by `value`.

### Return Values

Returns new items value on success or `FALSE` on failure.

### Examples

Example #1 Memcache::increment() example

`<?php
/* procedural API */
$memcache_obj = memcache_connect('memcache_host', 11211);
/* increment counter by 2 */
$current_value = memcache_increment($memcache_obj, 'counter', 2);
/* OO API */
$memcache_obj = new Memcache;
$memcache_obj->connect('memcache_host', 11211);
/* increment counter by 3 */
$current_value = $memcache_obj->increment('counter', 3);
?>`

### See Also

- Memcache::decrement() - Decrement item's value
- Memcache::replace() - Replace value of the existing item

Memcache::getVersion
Memcache::pconnect
Memcache
PHP Manual